<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the "site-content" div and all content after.
 *
 * 
 * @package Risa
 * @since Risa 1.0
 */
?>

	</div><!-- .site-content -->

</div><!-- .site -->

	<footer id="colophon" class="site-footer" role="contentinfo">
		<div class="site-info">
			<?php
				/**
				 * Fires before the Risa footer text for footer customization.
				 *
				 * @since Risa 1.0
				 */
				do_action( 'risa_credits' );
			?>
			<?php 
			if ( $footer_credit = get_theme_mod('footer_credit', false) ) : 
				echo $footer_credit;
			else : ?>
				<span><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span> 
				<?php _e('Powered by', 'risa'); ?> <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'risa' ) ); ?>"><?php printf( __( 'WordPress', 'risa' ) ); ?></a> <?php _e('and', 'risa'); ?> <a href="<?php echo esc_url( __( 'https://fancythemes.com/', 'risa' ) ); ?>"><?php printf( __( 'FancyThemes', 'risa' ) ); ?></a>
			<?php endif; ?>
		</div><!-- .site-info -->
	</footer><!-- .site-footer -->
	
<?php wp_footer(); ?>

</body>
</html>
